<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['class' => '', 'method' => 'DELETE', 'onClick' => 'return confirm("Are you sure?")']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['class' => '', 'method' => 'DELETE', 'onClick' => 'return confirm("Are you sure?")']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<form <?php echo e($attributes); ?> method="POST">
    <?php echo csrf_field(); ?>
    <?php echo method_field($method); ?>
    <button type="submit" onclick="<?php echo e($onClick); ?>" class="<?php echo e($class); ?>"><?php echo e($slot); ?></button>
</form>
<?php /**PATH C:\xampp\htdocs\projects\logistics-v4.0\resources\views/components/admin-method-buttons.blade.php ENDPATH**/ ?>